package co.yixiang.yshop.module.member.convert.userlevelconfig;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.member.controller.admin.userlevelconfig.vo.*;
import co.yixiang.yshop.module.member.dal.dataobject.userlevelconfig.UserLevelConfigDO;

/**
 * 会员等级配置 Convert
 *
 * @author admin
 */
@Mapper
public interface UserLevelConfigConvert {

    UserLevelConfigConvert INSTANCE = Mappers.getMapper(UserLevelConfigConvert.class);

    UserLevelConfigDO convert(UserLevelConfigCreateReqVO bean);

    UserLevelConfigDO convert(UserLevelConfigUpdateReqVO bean);

    UserLevelConfigRespVO convert(UserLevelConfigDO bean);

    List<UserLevelConfigRespVO> convertList(List<UserLevelConfigDO> list);

    PageResult<UserLevelConfigRespVO> convertPage(PageResult<UserLevelConfigDO> page);

    List<UserLevelConfigExcelVO> convertList02(List<UserLevelConfigDO> list);

}
